summaryrefslogtreecommitdiffstats
path: root/libraries/libburn
diff options
context:
space:
mode:
author Robby Workman2010-05-11 22:54:03 +0200
committer David Somero2010-05-11 22:54:03 +0200
commitbed0a6e0a9c32e4eabc4a66ce77e879285bb7f2c (patch)
tree27e07241ffb09adc004db3adfbc1ebabd11f2778 /libraries/libburn
parentfac8a1fdaafdddac090b64fb5cb166b275760886 (diff)
downloadslackbuilds-bed0a6e0a9c32e4eabc4a66ce77e879285bb7f2c.tar.gz
libraries/libburn: Added to 12.1 repository
Diffstat (limited to 'libraries/libburn')
-rw-r--r--libraries/libburn/README3
-rw-r--r--libraries/libburn/libburn.SlackBuild81
-rw-r--r--libraries/libburn/libburn.info8
-rw-r--r--libraries/libburn/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/libburn/README b/libraries/libburn/README
new file mode 100644
index 0000000000..e630ee8f47
--- /dev/null
+++ b/libraries/libburn/README
@@ -0,0 +1,3 @@
+libburn is a library by which preformatted data gets onto optical
+media. libburn also offers a facility for reading data blocks from
+its drives without using the normal block device i/o.
diff --git a/libraries/libburn/libburn.SlackBuild b/libraries/libburn/libburn.SlackBuild
new file mode 100644
index 0000000000..a6c2b817fc
--- /dev/null
+++ b/libraries/libburn/libburn.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for libburn
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libburn
+VERSION=0.5.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}.pl00.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CONTRIBUTORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libburn/libburn.info b/libraries/libburn/libburn.info
new file mode 100644
index 0000000000..5e9f2e776d
--- /dev/null
+++ b/libraries/libburn/libburn.info
@@ -0,0 +1,8 @@
+PRGNAM="libburn"
+VERSION="0.5.4"
+HOMEPAGE="http://libburnia-project.org/wiki/Libburn"
+DOWNLOAD="http://files.libburnia-project.org/releases/libburn-0.5.4.pl00.tar.gz"
+MD5SUM="45fa9ff334df8fe3527c2b05ac50b61f"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"
diff --git a/libraries/libburn/slack-desc b/libraries/libburn/slack-desc
new file mode 100644
index 0000000000..ffadfa3797
--- /dev/null
+++ b/libraries/libburn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libburn: libburn (optical media writing library)
+libburn:
+libburn: libburn is a library by which preformatted data gets onto optical
+libburn: media. libburn also offers a facility for reading data blocks from
+libburn: its drives without using the normal block device i/o.
+libburn:
+libburn: Homepage: http://libburnia-project.org/wiki/Libburn
+libburn:
+libburn:
+libburn:
+libburn: